%define name	tkdvd
%define version 4.0.7
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Simple DVD mastering GUI
Version: 	%{version}
Release: 	%{release}

Source:		http://regis.damongeot.free.fr/tkdvd/dl/%{name}-%{version}.tar.bz2
URL:		http://regis.damongeot.free.fr/tkdvd/
License:	GPL
Group:		Archiving/Cd burning
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
Requires:	dvd+rw-tools tk tcl
BuildArch:	noarch

%description
TkDVD is a GUI for growisofs which is a part of dvd+rw-tools.  It allows
burnning DVD+R/RW, -R/W and DVD+R DL easily.

Features:
    * View the current command line passed to growisofs with options and
      file listing
    * Burn DVD from iso images
    * Create ISO images from files
    * Can overburn DVD
    * Support multi-sessions DVD
    * Add/delete/exclude file/directories and show current used space
    * can keep directory structure
    * options to choose iso9660 filesystem extension (like Joliet or
      RockRidge extensions)
    * Prevent burning if used space > DVD+R/RW capacity
    * show output of growisofs/mkisofs to view burned % and estimated
      remaining time

%prep
%setup -q -n %name
chmod 755 TkDVD.sh
chmod 644 icons/*.*
chmod 644 src/*.tcl
perl -p -i -e 's|\$\{source_directory\}|%{_datadir}/%name||g' TkDVD.sh src/*

%install
rm -fr %buildroot
mkdir -p %buildroot/%{_datadir}/%name
cp TkDVD.sh %buildroot/%{_datadir}/%name
cp -r src %buildroot/%{_datadir}/%name
mkdir -p %buildroot/%{_bindir}
ln -sf %{_datadir}/%name/TkDVD.sh %buildroot/%_bindir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="TkDVD" longtitle="Simple DVD mastering GUI" section="System/Archiving/CD Burning" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=TkDVD
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=DiscBurning;Archiving;X-MandrivaLinux-Archiving-CDBurning;
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cp icons/%name-48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cp icons/%name-32.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/%name-48.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc ChangeLog FAQ README TODO
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png




%changelog
* Fri Oct 26 2007 Jérôme Soyer <saispo@mandriva.org> 4.0.7-1mdv2008.1
+ Revision: 102336
- New release 4.0.7


* Mon Mar 12 2007 Jérôme Soyer <saispo@mandriva.org> 4.0.6-1mdv2007.1
+ Revision: 141635
- New version 4.0.6

* Sun Feb 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.0.5-1mdv2007.1
+ Revision: 122264
- New release 4.0.5

* Tue Nov 14 2006 Lenny Cartier <lenny@mandriva.com> 4.0.4-1mdv2007.1
+ Revision: 84097
- Fix deletion of directories
- Update to 4.0.4
- Import tkdvd

* Thu Aug 17 2006 Austin Acton <austin@mandriva.org> 4.0.3-2mdv2007.0
- oops, fix menu

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 4.0.3-1mdv2007.0
- 4.0.3
- xdg menu

* Tue Jun 27 2006 Austin Acton <austin@mandriva.org> 4.0.0-1mdk
- New release 4.0.0

* Mon Jan 16 2006 Lenny Cartier <lenny@mandriva.com> 3.10.1-1mdk
- 3.10.1

* Fri Dec 30 2005 Austin Acton <austin@mandriva.org> 3.10.0-1mdk
- New release 3.10.0

* Fri Nov 04 2005 Austin Acton <austin@mandriva.org> 3.8.4-1mdk
- New release 3.8.4

* Mon Oct 10 2005 Austin Acton <austin@mandriva.org> 3.8.2-1mdk
- New release 3.8.2

* Mon Aug 22 2005 Austin Acton <austin@mandriva.org> 3.8-1mdk
- New release 3.8

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 3.7-1mdk
- New release 3.7

* Mon Jul 04 2005 Austin Acton <austin@mandriva.org> 3.5-1mdk
- New release 3.5

* Sun Feb 06 2005 Austin Acton <austin@mandrake.org> 3.4-1mdk
- 3.4

* Wed Jan 19 2005 Austin Acton <austin@mandrake.org> 3.2-1mdk
- 3.2

* Thu Jan 13 2005 Austin Acton <austin@mandrake.org> 3.1-1mdk
- initial package

